summaryrefslogtreecommitdiff
path: root/ubuntu/scripts
diff options
context:
space:
mode:
authorBotao Sun <botao.sun@linaro.org>2013-12-15 19:00:55 +1100
committerMilosz Wasilewski <milosz.wasilewski@linaro.org>2014-01-09 09:57:08 +0000
commitd40ea3b818751436d7253d5ac35d59d1a07f45b2 (patch)
treebf4bc2779d7ea2a89443b629bc3fbd7e47d9f85d /ubuntu/scripts
parent389b039d2e989f8356f67f4a191209d6690f4175 (diff)
Add SD MMC Test for Linaro ubuntu
Test code has been validated in LAVA. Signed-off by: Botao Sun <botao.sun@linaro.org> Change-Id: I14787b1f52bf8bc77e2e2d1d5bc63e451cb52524
Diffstat (limited to 'ubuntu/scripts')
-rwxr-xr-xubuntu/scripts/sd-mmc-ubuntu.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/ubuntu/scripts/sd-mmc-ubuntu.sh b/ubuntu/scripts/sd-mmc-ubuntu.sh
new file mode 100755
index 0000000..525e49d
--- /dev/null
+++ b/ubuntu/scripts/sd-mmc-ubuntu.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+#
+# SD MMC test for ubuntu
+#
+# Copyright (C) 2013, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Botao Sun <botao.sun@linaro.org>
+
+source include/sh-test-lib
+
+keyword="I/O error"
+
+## Test case definitions
+# Check the existence of SD card in system
+test_sd_existence() {
+ TEST="sd_existence"
+
+ dmesg | grep "SD"
+ if [ $? -ne 0 ]; then
+ fail_test "SD card doesn't exist in system"
+ return 1
+ fi
+
+ pass_test
+}
+
+# Check whether I/O errors show up in dmesg output
+test_sd_mmc_IO_errors() {
+ TEST="sd_mmc_IO_errors"
+
+ dmesg | grep "$keyword"
+ if [ $? -eq 0 ]; then
+ fail_test "I/O error found, SD MMC test failed"
+ return 1
+ fi
+
+ pass_test
+}
+
+# run the tests
+test_sd_existence
+test_sd_mmc_IO_errors
+
+# clean exit so lava-test can trust the results
+exit 0 \ No newline at end of file